/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __RANDOM_KERN_SKEL_H__
#define __RANDOM_KERN_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct random_kern {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *random_choice;
	} progs;
	struct {
		struct bpf_link *random_choice;
	} links;
	struct random_kern__bss {
		int number_of_sockets;
	} *bss;

#ifdef __cplusplus
	static inline struct random_kern *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct random_kern *open_and_load();
	static inline int load(struct random_kern *skel);
	static inline int attach(struct random_kern *skel);
	static inline void detach(struct random_kern *skel);
	static inline void destroy(struct random_kern *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
random_kern__destroy(struct random_kern *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
random_kern__create_skeleton(struct random_kern *obj);

static inline struct random_kern *
random_kern__open_opts(const struct bpf_object_open_opts *opts)
{
	struct random_kern *obj;
	int err;

	obj = (struct random_kern *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = random_kern__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	random_kern__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct random_kern *
random_kern__open(void)
{
	return random_kern__open_opts(NULL);
}

static inline int
random_kern__load(struct random_kern *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct random_kern *
random_kern__open_and_load(void)
{
	struct random_kern *obj;
	int err;

	obj = random_kern__open();
	if (!obj)
		return NULL;
	err = random_kern__load(obj);
	if (err) {
		random_kern__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
random_kern__attach(struct random_kern *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
random_kern__detach(struct random_kern *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *random_kern__elf_bytes(size_t *sz);

static inline int
random_kern__create_skeleton(struct random_kern *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "random_kern";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "random_k.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "random_choice";
	s->progs[0].prog = &obj->progs.random_choice;
	s->progs[0].link = &obj->links.random_choice;

	s->data = (void *)random_kern__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *random_kern__elf_bytes(size_t *sz)
{
	*sz = 7744;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x40\x19\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x14\0\
\x01\0\x18\0\0\0\xff\xff\xff\xff\0\0\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x61\x61\0\0\0\0\0\0\x15\x01\x05\0\0\0\0\0\x85\0\0\0\x07\0\0\0\x61\x61\0\
\0\0\0\0\0\x67\0\0\0\x20\0\0\0\x77\0\0\0\x20\0\0\0\x9f\x10\0\0\0\0\0\0\x95\0\0\
\0\0\0\0\0\x01\x11\x01\x25\x0e\x13\x05\x03\x0e\x10\x17\x1b\x0e\x11\x01\x12\x06\
\0\0\x02\x34\0\x03\x0e\x49\x13\x3f\x19\x3a\x0b\x3b\x0b\x02\x18\0\0\x03\x24\0\
\x03\x0e\x3e\x0b\x0b\x0b\0\0\x04\x34\0\x03\x0e\x49\x13\x3a\x0b\x3b\x0b\0\0\x05\
\x0f\0\x49\x13\0\0\x06\x15\0\x49\x13\x27\x19\0\0\x07\x16\0\x49\x13\x03\x0e\x3a\
\x0b\x3b\x0b\0\0\x08\x2e\x01\x11\x01\x12\x06\x40\x18\x97\x42\x19\x03\x0e\x3a\
\x0b\x3b\x0b\x27\x19\x49\x13\x3f\x19\0\0\x09\x05\0\x03\x0e\x3a\x0b\x3b\x0b\x49\
\x13\0\0\x0a\x13\x01\x03\x0e\x0b\x0b\x3a\x0b\x3b\x05\0\0\x0b\x0d\0\x03\x0e\x49\
\x13\x3a\x0b\x3b\x05\x38\x0b\0\0\x0c\x0d\0\x49\x13\x3a\x0b\x3b\x05\x38\x0b\0\0\
\x0d\x17\x01\x0b\x0b\x3a\x0b\x3b\x05\0\0\x0e\x01\x01\x49\x13\0\0\x0f\x21\0\x49\
\x13\x37\x0b\0\0\x10\x24\0\x03\x0e\x0b\x0b\x3e\x0b\0\0\x11\x13\x01\x0b\x0b\x3a\
\x0b\x3b\x05\0\0\x12\x16\0\x49\x13\x03\x0e\x3a\x0b\x3b\x05\0\0\0\xbf\x04\0\0\
\x04\0\0\0\0\0\x08\x01\0\0\0\0\x1d\0\x2c\0\0\0\0\0\0\0\x47\0\0\0\0\0\0\0\0\0\0\
\0\x60\0\0\0\x02\x6d\0\0\0\x3f\0\0\0\x01\x1a\x09\x03\0\0\0\0\0\0\0\0\x03\x7f\0\
\0\0\x05\x04\x04\x83\0\0\0\x51\0\0\0\x03\xc1\x05\x56\0\0\0\x06\x5b\0\0\0\x07\
\x66\0\0\0\xa4\0\0\0\x02\x12\x03\x97\0\0\0\x07\x04\x08\0\0\0\0\0\0\0\0\x60\0\0\
\0\x01\x5a\xaa\0\0\0\x01\x1d\x3f\0\0\0\x09\xb8\0\0\0\x01\x1d\x92\0\0\0\0\x05\
\x97\0\0\0\x0a\x52\x03\0\0\xc0\x02\xa2\xf7\x0b\xbc\0\0\0\x5b\0\0\0\x02\xa3\xf7\
\0\x0b\xc0\0\0\0\x5b\0\0\0\x02\xa4\xf7\x04\x0b\xc9\0\0\0\x5b\0\0\0\x02\xa5\xf7\
\x08\x0b\xce\0\0\0\x5b\0\0\0\x02\xa6\xf7\x0c\x0b\xdc\0\0\0\x5b\0\0\0\x02\xa7\
\xf7\x10\x0b\xe5\0\0\0\x5b\0\0\0\x02\xa8\xf7\x14\x0b\xf2\0\0\0\x5b\0\0\0\x02\
\xa9\xf7\x18\x0b\xfb\0\0\0\x5b\0\0\0\x02\xaa\xf7\x1c\x0b\x06\x01\0\0\x5b\0\0\0\
\x02\xab\xf7\x20\x0b\x0f\x01\0\0\x5b\0\0\0\x02\xac\xf7\x24\x0b\x1f\x01\0\0\x5b\
\0\0\0\x02\xad\xf7\x28\x0b\x27\x01\0\0\x5b\0\0\0\x02\xae\xf7\x2c\x0b\x30\x01\0\
\0\x79\x02\0\0\x02\xaf\xf7\x30\x0b\x47\x01\0\0\x5b\0\0\0\x02\xb0\xf7\x44\x0b\
\x4c\x01\0\0\x5b\0\0\0\x02\xb1\xf7\x48\x0b\x57\x01\0\0\x5b\0\0\0\x02\xb2\xf7\
\x4c\x0b\x5c\x01\0\0\x5b\0\0\0\x02\xb3\xf7\x50\x0b\x65\x01\0\0\x5b\0\0\0\x02\
\xb4\xf7\x54\x0b\x6d\x01\0\0\x5b\0\0\0\x02\xb5\xf7\x58\x0b\x74\x01\0\0\x5b\0\0\
\0\x02\xb6\xf7\x5c\x0b\x7f\x01\0\0\x5b\0\0\0\x02\xb7\xf7\x60\x0b\x89\x01\0\0\
\x8c\x02\0\0\x02\xb8\xf7\x64\x0b\x94\x01\0\0\x8c\x02\0\0\x02\xb9\xf7\x74\x0b\
\x9e\x01\0\0\x5b\0\0\0\x02\xba\xf7\x84\x0b\xaa\x01\0\0\x5b\0\0\0\x02\xbb\xf7\
\x88\x0b\xb5\x01\0\0\x5b\0\0\0\x02\xbc\xf7\x8c\x0c\xfb\x01\0\0\x02\xbd\xf7\x90\
\x0d\x08\x02\xbd\xf7\x0b\xbf\x01\0\0\x98\x02\0\0\x02\xbe\xf7\0\0\x0b\x95\x02\0\
\0\xe0\x03\0\0\x02\xc0\xf7\x98\x0b\xb5\x02\0\0\x5b\0\0\0\x02\xc1\xf7\xa0\x0b\
\xbe\x02\0\0\x5b\0\0\0\x02\xc2\xf7\xa4\x0c\x3e\x02\0\0\x02\xc3\xf7\xa8\x0d\x08\
\x02\xc3\xf7\x0b\xc7\x02\0\0\xf2\x03\0\0\x02\xc4\xf7\0\0\x0b\x34\x03\0\0\x5b\0\
\0\0\x02\xc6\xf7\xb0\x0b\x3d\x03\0\0\xb6\x03\0\0\x02\xc7\xf7\xb4\x0b\x49\x03\0\
\0\xe0\x03\0\0\x02\xc8\xf7\xb8\0\x0e\x5b\0\0\0\x0f\x85\x02\0\0\x05\0\x10\x33\
\x01\0\0\x08\x07\x0e\x5b\0\0\0\x0f\x85\x02\0\0\x04\0\x05\x9d\x02\0\0\x0a\x87\
\x02\0\0\x38\x02\xd3\x91\x0b\xc9\x01\0\0\xa4\x03\0\0\x02\xd4\x91\0\x0b\xe4\x01\
\0\0\xa4\x03\0\0\x02\xd5\x91\x02\x0b\xea\x01\0\0\xa4\x03\0\0\x02\xd6\x91\x04\
\x0b\xf5\x01\0\0\xb6\x03\0\0\x02\xd7\x91\x06\x0b\x10\x02\0\0\xb6\x03\0\0\x02\
\xd8\x91\x07\x0b\x1e\x02\0\0\xb6\x03\0\0\x02\xd9\x91\x08\x0b\x27\x02\0\0\xb6\
\x03\0\0\x02\xda\x91\x09\x0b\x30\x02\0\0\xc8\x03\0\0\x02\xdb\x91\x0a\x0b\x3f\
\x02\0\0\xc8\x03\0\0\x02\xdc\x91\x0c\x0b\x45\x02\0\0\xc8\x03\0\0\x02\xdd\x91\
\x0e\x0c\x31\x03\0\0\x02\xde\x91\x10\x0d\x20\x02\xde\x91\x0c\x3f\x03\0\0\x02\
\xdf\x91\0\x11\x08\x02\xdf\x91\x0b\x4b\x02\0\0\xd4\x03\0\0\x02\xe0\x91\0\x0b\
\x5b\x02\0\0\xd4\x03\0\0\x02\xe1\x91\x04\0\x0c\x68\x03\0\0\x02\xe3\x91\0\x11\
\x20\x02\xe3\x91\x0b\x64\x02\0\0\x8c\x02\0\0\x02\xe4\x91\0\x0b\x6d\x02\0\0\x8c\
\x02\0\0\x02\xe5\x91\x10\0\0\x0b\x76\x02\0\0\x5b\0\0\0\x02\xe8\x91\x30\x0b\x7c\
\x02\0\0\xd4\x03\0\0\x02\xe9\x91\x34\0\x07\xaf\x03\0\0\xde\x01\0\0\x02\x0e\x03\
\xcf\x01\0\0\x07\x02\x07\xc1\x03\0\0\x0b\x02\0\0\x02\x0a\x03\xfd\x01\0\0\x08\
\x01\x12\xa4\x03\0\0\x38\x02\0\0\x02\x1f\x44\x12\x5b\0\0\0\x54\x02\0\0\x02\x21\
\x44\x07\xeb\x03\0\0\xaf\x02\0\0\x02\x16\x03\x9c\x02\0\0\x07\x08\x05\xf7\x03\0\
\0\x0a\x2b\x03\0\0\x50\x02\x91\xf7\x0b\xca\x02\0\0\x5b\0\0\0\x02\x92\xf7\0\x0b\
\x6d\x01\0\0\x5b\0\0\0\x02\x93\xf7\x04\x0b\xd7\x02\0\0\x5b\0\0\0\x02\x94\xf7\
\x08\x0b\xdc\0\0\0\x5b\0\0\0\x02\x95\xf7\x0c\x0b\xc9\0\0\0\x5b\0\0\0\x02\x96\
\xf7\x10\x0b\x06\x01\0\0\x5b\0\0\0\x02\x97\xf7\x14\x0b\xdc\x02\0\0\x5b\0\0\0\
\x02\x98\xf7\x18\x0b\xe4\x02\0\0\x8c\x02\0\0\x02\x99\xf7\x1c\x0b\xec\x02\0\0\
\x5b\0\0\0\x02\x9a\xf7\x2c\x0b\xf5\x02\0\0\xc8\x03\0\0\x02\x9b\xf7\x30\x0b\xfe\
\x02\0\0\x5b\0\0\0\x02\x9c\xf7\x34\x0b\x06\x03\0\0\x8c\x02\0\0\x02\x9d\xf7\x38\
\x0b\x0e\x03\0\0\x5b\0\0\0\x02\x9e\xf7\x48\x0b\x14\x03\0\0\xb7\x04\0\0\x02\x9f\
\xf7\x4c\0\x07\x3f\0\0\0\x25\x03\0\0\x02\x10\0\x63\x6c\x61\x6e\x67\x20\x76\x65\
\x72\x73\x69\x6f\x6e\x20\x31\x36\x2e\x30\x2e\x36\x20\x28\x46\x65\x64\x6f\x72\
\x61\x20\x31\x36\x2e\x30\x2e\x36\x2d\x33\x2e\x66\x63\x33\x39\x29\0\x6d\x6f\x64\
\x75\x6c\x65\x73\x2f\x65\x62\x70\x66\x2f\x72\x61\x6e\x64\x6f\x6d\x2e\x6b\x65\
\x72\x6e\x2e\x63\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\
\x2f\x42\x55\x49\x4c\x44\x2f\x73\x79\x73\x6c\x6f\x67\x2d\x6e\x67\x2d\x34\x2e\
\x33\x2e\x31\0\x6e\x75\x6d\x62\x65\x72\x5f\x6f\x66\x5f\x73\x6f\x63\x6b\x65\x74\
\x73\0\x69\x6e\x74\0\x62\x70\x66\x5f\x67\x65\x74\x5f\x70\x72\x61\x6e\x64\x6f\
\x6d\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\
\x5f\x75\x33\x32\0\x72\x61\x6e\x64\x6f\x6d\x5f\x63\x68\x6f\x69\x63\x65\0\x73\
\x6b\x62\0\x6c\x65\x6e\0\x70\x6b\x74\x5f\x74\x79\x70\x65\0\x6d\x61\x72\x6b\0\
\x71\x75\x65\x75\x65\x5f\x6d\x61\x70\x70\x69\x6e\x67\0\x70\x72\x6f\x74\x6f\x63\
\x6f\x6c\0\x76\x6c\x61\x6e\x5f\x70\x72\x65\x73\x65\x6e\x74\0\x76\x6c\x61\x6e\
\x5f\x74\x63\x69\0\x76\x6c\x61\x6e\x5f\x70\x72\x6f\x74\x6f\0\x70\x72\x69\x6f\
\x72\x69\x74\x79\0\x69\x6e\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\
\0\x69\x66\x69\x6e\x64\x65\x78\0\x74\x63\x5f\x69\x6e\x64\x65\x78\0\x63\x62\0\
\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\
\x68\x61\x73\x68\0\x74\x63\x5f\x63\x6c\x61\x73\x73\x69\x64\0\x64\x61\x74\x61\0\
\x64\x61\x74\x61\x5f\x65\x6e\x64\0\x6e\x61\x70\x69\x5f\x69\x64\0\x66\x61\x6d\
\x69\x6c\x79\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x34\0\x6c\x6f\x63\x61\x6c\
\x5f\x69\x70\x34\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x36\0\x6c\x6f\x63\x61\
\x6c\x5f\x69\x70\x36\0\x72\x65\x6d\x6f\x74\x65\x5f\x70\x6f\x72\x74\0\x6c\x6f\
\x63\x61\x6c\x5f\x70\x6f\x72\x74\0\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\0\x66\
\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x6e\x68\x6f\x66\x66\0\x75\x6e\x73\x69\x67\
\x6e\x65\x64\x20\x73\x68\x6f\x72\x74\0\x5f\x5f\x75\x31\x36\0\x74\x68\x6f\x66\
\x66\0\x61\x64\x64\x72\x5f\x70\x72\x6f\x74\x6f\0\x69\x73\x5f\x66\x72\x61\x67\0\
\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x63\x68\x61\x72\0\x5f\x5f\x75\x38\0\x69\
\x73\x5f\x66\x69\x72\x73\x74\x5f\x66\x72\x61\x67\0\x69\x73\x5f\x65\x6e\x63\x61\
\x70\0\x69\x70\x5f\x70\x72\x6f\x74\x6f\0\x6e\x5f\x70\x72\x6f\x74\x6f\0\x5f\x5f\
\x62\x65\x31\x36\0\x73\x70\x6f\x72\x74\0\x64\x70\x6f\x72\x74\0\x69\x70\x76\x34\
\x5f\x73\x72\x63\0\x5f\x5f\x62\x65\x33\x32\0\x69\x70\x76\x34\x5f\x64\x73\x74\0\
\x69\x70\x76\x36\x5f\x73\x72\x63\0\x69\x70\x76\x36\x5f\x64\x73\x74\0\x66\x6c\
\x61\x67\x73\0\x66\x6c\x6f\x77\x5f\x6c\x61\x62\x65\x6c\0\x62\x70\x66\x5f\x66\
\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x74\x73\x74\x61\x6d\x70\0\x75\x6e\x73\x69\
\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x5f\x5f\x75\x36\x34\
\0\x77\x69\x72\x65\x5f\x6c\x65\x6e\0\x67\x73\x6f\x5f\x73\x65\x67\x73\0\x73\x6b\
\0\x62\x6f\x75\x6e\x64\x5f\x64\x65\x76\x5f\x69\x66\0\x74\x79\x70\x65\0\x73\x72\
\x63\x5f\x69\x70\x34\0\x73\x72\x63\x5f\x69\x70\x36\0\x73\x72\x63\x5f\x70\x6f\
\x72\x74\0\x64\x73\x74\x5f\x70\x6f\x72\x74\0\x64\x73\x74\x5f\x69\x70\x34\0\x64\
\x73\x74\x5f\x69\x70\x36\0\x73\x74\x61\x74\x65\0\x72\x78\x5f\x71\x75\x65\x75\
\x65\x5f\x6d\x61\x70\x70\x69\x6e\x67\0\x5f\x5f\x73\x33\x32\0\x62\x70\x66\x5f\
\x73\x6f\x63\x6b\0\x67\x73\x6f\x5f\x73\x69\x7a\x65\0\x74\x73\x74\x61\x6d\x70\
\x5f\x74\x79\x70\x65\0\x68\x77\x74\x73\x74\x61\x6d\x70\0\x5f\x5f\x73\x6b\x5f\
\x62\x75\x66\x66\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xfc\x02\0\0\xfc\x02\0\0\
\x9a\x02\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\x22\0\0\x04\xc0\0\0\0\x0b\0\
\0\0\x03\0\0\0\0\0\0\0\x0f\0\0\0\x03\0\0\0\x20\0\0\0\x18\0\0\0\x03\0\0\0\x40\0\
\0\0\x1d\0\0\0\x03\0\0\0\x60\0\0\0\x2b\0\0\0\x03\0\0\0\x80\0\0\0\x34\0\0\0\x03\
\0\0\0\xa0\0\0\0\x41\0\0\0\x03\0\0\0\xc0\0\0\0\x4a\0\0\0\x03\0\0\0\xe0\0\0\0\
\x55\0\0\0\x03\0\0\0\0\x01\0\0\x5e\0\0\0\x03\0\0\0\x20\x01\0\0\x6e\0\0\0\x03\0\
\0\0\x40\x01\0\0\x76\0\0\0\x03\0\0\0\x60\x01\0\0\x7f\0\0\0\x05\0\0\0\x80\x01\0\
\0\x82\0\0\0\x03\0\0\0\x20\x02\0\0\x87\0\0\0\x03\0\0\0\x40\x02\0\0\x92\0\0\0\
\x03\0\0\0\x60\x02\0\0\x97\0\0\0\x03\0\0\0\x80\x02\0\0\xa0\0\0\0\x03\0\0\0\xa0\
\x02\0\0\xa8\0\0\0\x03\0\0\0\xc0\x02\0\0\xaf\0\0\0\x03\0\0\0\xe0\x02\0\0\xba\0\
\0\0\x03\0\0\0\0\x03\0\0\xc4\0\0\0\x07\0\0\0\x20\x03\0\0\xcf\0\0\0\x07\0\0\0\
\xa0\x03\0\0\xd9\0\0\0\x03\0\0\0\x20\x04\0\0\xe5\0\0\0\x03\0\0\0\x40\x04\0\0\
\xf0\0\0\0\x03\0\0\0\x60\x04\0\0\0\0\0\0\x08\0\0\0\x80\x04\0\0\xfa\0\0\0\x0a\0\
\0\0\xc0\x04\0\0\x01\x01\0\0\x03\0\0\0\0\x05\0\0\x0a\x01\0\0\x03\0\0\0\x20\x05\
\0\0\0\0\0\0\x0c\0\0\0\x40\x05\0\0\x13\x01\0\0\x03\0\0\0\x80\x05\0\0\x1c\x01\0\
\0\x0e\0\0\0\xa0\x05\0\0\x28\x01\0\0\x0a\0\0\0\xc0\x05\0\0\x31\x01\0\0\0\0\0\
\x08\x04\0\0\0\x37\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x03\0\0\
\0\0\x03\0\0\0\x06\0\0\0\x05\0\0\0\x44\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\
\0\0\0\0\0\0\x03\0\0\0\0\x03\0\0\0\x06\0\0\0\x04\0\0\0\0\0\0\0\x01\0\0\x05\x08\
\0\0\0\x58\x01\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x16\0\0\0\x62\x01\0\0\0\
\0\0\x08\x0b\0\0\0\x68\x01\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\
\x05\x08\0\0\0\x7b\x01\0\0\x0d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x15\0\0\0\x7e\
\x01\0\0\0\0\0\x08\x0f\0\0\0\x83\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\0\0\0\0\0\
\x01\0\0\x0d\x11\0\0\0\x91\x01\0\0\x01\0\0\0\x95\x01\0\0\0\0\0\x01\x04\0\0\0\
\x20\0\0\x01\x99\x01\0\0\x01\0\0\x0c\x10\0\0\0\x6c\x02\0\0\0\0\0\x0e\x11\0\0\0\
\x01\0\0\0\x7e\x02\0\0\x01\0\0\x0f\0\0\0\0\x13\0\0\0\0\0\0\0\x04\0\0\0\x83\x02\
\0\0\0\0\0\x07\0\0\0\0\x8c\x02\0\0\0\0\0\x07\0\0\0\0\0\x5f\x5f\x73\x6b\x5f\x62\
\x75\x66\x66\0\x6c\x65\x6e\0\x70\x6b\x74\x5f\x74\x79\x70\x65\0\x6d\x61\x72\x6b\
\0\x71\x75\x65\x75\x65\x5f\x6d\x61\x70\x70\x69\x6e\x67\0\x70\x72\x6f\x74\x6f\
\x63\x6f\x6c\0\x76\x6c\x61\x6e\x5f\x70\x72\x65\x73\x65\x6e\x74\0\x76\x6c\x61\
\x6e\x5f\x74\x63\x69\0\x76\x6c\x61\x6e\x5f\x70\x72\x6f\x74\x6f\0\x70\x72\x69\
\x6f\x72\x69\x74\x79\0\x69\x6e\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\
\x78\0\x69\x66\x69\x6e\x64\x65\x78\0\x74\x63\x5f\x69\x6e\x64\x65\x78\0\x63\x62\
\0\x68\x61\x73\x68\0\x74\x63\x5f\x63\x6c\x61\x73\x73\x69\x64\0\x64\x61\x74\x61\
\0\x64\x61\x74\x61\x5f\x65\x6e\x64\0\x6e\x61\x70\x69\x5f\x69\x64\0\x66\x61\x6d\
\x69\x6c\x79\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x34\0\x6c\x6f\x63\x61\x6c\
\x5f\x69\x70\x34\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x36\0\x6c\x6f\x63\x61\
\x6c\x5f\x69\x70\x36\0\x72\x65\x6d\x6f\x74\x65\x5f\x70\x6f\x72\x74\0\x6c\x6f\
\x63\x61\x6c\x5f\x70\x6f\x72\x74\0\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\0\x74\
\x73\x74\x61\x6d\x70\0\x77\x69\x72\x65\x5f\x6c\x65\x6e\0\x67\x73\x6f\x5f\x73\
\x65\x67\x73\0\x67\x73\x6f\x5f\x73\x69\x7a\x65\0\x74\x73\x74\x61\x6d\x70\x5f\
\x74\x79\x70\x65\0\x68\x77\x74\x73\x74\x61\x6d\x70\0\x5f\x5f\x75\x33\x32\0\x75\
\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\
\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x66\x6c\x6f\x77\x5f\x6b\x65\x79\
\x73\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\
\x67\x20\x6c\x6f\x6e\x67\0\x73\x6b\0\x5f\x5f\x75\x38\0\x75\x6e\x73\x69\x67\x6e\
\x65\x64\x20\x63\x68\x61\x72\0\x73\x6b\x62\0\x69\x6e\x74\0\x72\x61\x6e\x64\x6f\
\x6d\x5f\x63\x68\x6f\x69\x63\x65\0\x73\x6f\x63\x6b\x65\x74\0\x2f\x62\x75\x69\
\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x73\
\x79\x73\x6c\x6f\x67\x2d\x6e\x67\x2d\x34\x2e\x33\x2e\x31\x2f\x6d\x6f\x64\x75\
\x6c\x65\x73\x2f\x65\x62\x70\x66\x2f\x72\x61\x6e\x64\x6f\x6d\x2e\x6b\x65\x72\
\x6e\x2e\x63\0\x69\x6e\x74\x20\x72\x61\x6e\x64\x6f\x6d\x5f\x63\x68\x6f\x69\x63\
\x65\x28\x73\x74\x72\x75\x63\x74\x20\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\x20\
\x2a\x73\x6b\x62\x29\0\x20\x20\x69\x66\x20\x28\x6e\x75\x6d\x62\x65\x72\x5f\x6f\
\x66\x5f\x73\x6f\x63\x6b\x65\x74\x73\x20\x3d\x3d\x20\x30\x29\0\x20\x20\x72\x65\
\x74\x75\x72\x6e\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x70\x72\x61\x6e\x64\x6f\
\x6d\x5f\x75\x33\x32\x28\x29\x20\x25\x20\x6e\x75\x6d\x62\x65\x72\x5f\x6f\x66\
\x5f\x73\x6f\x63\x6b\x65\x74\x73\x3b\0\x7d\0\x6e\x75\x6d\x62\x65\x72\x5f\x6f\
\x66\x5f\x73\x6f\x63\x6b\x65\x74\x73\0\x2e\x62\x73\x73\0\x62\x70\x66\x5f\x73\
\x6f\x63\x6b\0\x62\x70\x66\x5f\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\0\0\x9f\
\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x8c\0\0\0\xa0\0\0\0\0\0\0\0\
\x08\0\0\0\xa7\x01\0\0\x01\0\0\0\0\0\0\0\x12\0\0\0\x10\0\0\0\xa7\x01\0\0\x08\0\
\0\0\0\0\0\0\xae\x01\0\0\xef\x01\0\0\0\x74\0\0\x10\0\0\0\xae\x01\0\0\x18\x02\0\
\0\x07\x7c\0\0\x28\0\0\0\xae\x01\0\0\x18\x02\0\0\x07\x7c\0\0\x30\0\0\0\xae\x01\
\0\0\x36\x02\0\0\x0a\x88\0\0\x38\0\0\0\xae\x01\0\0\x36\x02\0\0\x22\x88\0\0\x40\
\0\0\0\xae\x01\0\0\x36\x02\0\0\x0a\x88\0\0\x50\0\0\0\xae\x01\0\0\x36\x02\0\0\
\x20\x88\0\0\x58\0\0\0\xae\x01\0\0\x6a\x02\0\0\x01\x8c\0\0\x0c\0\0\0\xff\xff\
\xff\xff\x04\0\x08\0\x08\x7c\x0b\0\x14\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\0\0\0\
\0\0\0\0\x96\0\0\0\x04\0\x65\0\0\0\x08\x01\x01\xfb\x0e\x0d\0\x01\x01\x01\x01\0\
\0\0\x01\0\0\x01\x6d\x6f\x64\x75\x6c\x65\x73\x2f\x65\x62\x70\x66\0\x2f\x75\x73\
\x72\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x62\x70\x66\0\0\x72\x61\x6e\x64\x6f\
\x6d\x2e\x6b\x65\x72\x6e\x2e\x63\0\x01\0\0\x76\x6d\x6c\x69\x6e\x75\x78\x2e\x68\
\0\x01\0\0\x62\x70\x66\x5f\x68\x65\x6c\x70\x65\x72\x5f\x64\x65\x66\x73\x2e\x68\
\0\x02\0\0\0\0\x09\x02\0\0\0\0\0\0\0\0\x03\x1d\x01\x05\x07\x0a\x2f\x06\x3c\x05\
\x0a\x06\x23\x05\x22\x06\x20\x05\x0a\x20\x05\x20\x2e\x05\x01\x06\x21\x02\x01\0\
\x01\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9c\0\0\0\
\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xc3\0\0\0\0\0\x03\0\x58\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x03\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x09\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x0e\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x03\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8e\0\0\0\x12\0\x03\0\0\0\0\0\
\0\0\0\0\x60\0\0\0\0\0\0\0\x2d\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\
\0\0\x10\0\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\x06\0\0\0\0\0\0\0\x03\0\0\0\x04\0\0\
\0\x0c\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x12\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\
\x16\0\0\0\0\0\0\0\x03\0\0\0\x07\0\0\0\x1a\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\
\x1e\0\0\0\0\0\0\0\x02\0\0\0\x02\0\0\0\x2b\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\
\x37\0\0\0\0\0\0\0\x02\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\
\x47\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x60\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\
\x67\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x6e\0\0\0\0\0\0\0\x02\0\0\0\x02\0\0\0\
\x7c\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x87\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\
\x98\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\xa1\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\
\xae\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\xbb\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\
\xc8\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\xd5\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\
\xe2\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\xef\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\
\xfc\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x09\x01\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\
\x16\x01\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x23\x01\0\0\0\0\0\0\x03\0\0\0\x05\0\0\
\0\x30\x01\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x3d\x01\0\0\0\0\0\0\x03\0\0\0\x05\0\
\0\0\x4a\x01\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x57\x01\0\0\0\0\0\0\x03\0\0\0\x05\
\0\0\0\x64\x01\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x71\x01\0\0\0\0\0\0\x03\0\0\0\
\x05\0\0\0\x7e\x01\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x8b\x01\0\0\0\0\0\0\x03\0\0\
\0\x05\0\0\0\x98\x01\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\xa5\x01\0\0\0\0\0\0\x03\0\
\0\0\x05\0\0\0\xb2\x01\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\xbf\x01\0\0\0\0\0\0\x03\
\0\0\0\x05\0\0\0\xcc\x01\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\xd9\x01\0\0\0\0\0\0\
\x03\0\0\0\x05\0\0\0\xe6\x01\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x01\x02\0\0\0\0\0\
\0\x03\0\0\0\x05\0\0\0\x0f\x02\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x1c\x02\0\0\0\0\
\0\0\x03\0\0\0\x05\0\0\0\x29\x02\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x44\x02\0\0\0\
\0\0\0\x03\0\0\0\x05\0\0\0\x52\x02\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x5f\x02\0\0\
\0\0\0\0\x03\0\0\0\x05\0\0\0\x6c\x02\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x86\x02\0\
\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x9e\x02\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\xa7\x02\
\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\xb4\x02\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\xc1\
\x02\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\xce\x02\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\
\xdb\x02\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\xe8\x02\0\0\0\0\0\0\x03\0\0\0\x05\0\0\
\0\xf5\x02\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x02\x03\0\0\0\0\0\0\x03\0\0\0\x05\0\
\0\0\x0f\x03\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x1c\x03\0\0\0\0\0\0\x03\0\0\0\x05\
\0\0\0\x45\x03\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x52\x03\0\0\0\0\0\0\x03\0\0\0\
\x05\0\0\0\x6e\x03\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x7b\x03\0\0\0\0\0\0\x03\0\0\
\0\x05\0\0\0\x8a\x03\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x97\x03\0\0\0\0\0\0\x03\0\
\0\0\x05\0\0\0\xa9\x03\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\xb0\x03\0\0\0\0\0\0\x03\
\0\0\0\x05\0\0\0\xbb\x03\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\xc2\x03\0\0\0\0\0\0\
\x03\0\0\0\x05\0\0\0\xcd\x03\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\xd9\x03\0\0\0\0\0\
\0\x03\0\0\0\x05\0\0\0\xe5\x03\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\xec\x03\0\0\0\0\
\0\0\x03\0\0\0\x05\0\0\0\xf8\x03\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x01\x04\0\0\0\
\0\0\0\x03\0\0\0\x05\0\0\0\x0e\x04\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x1b\x04\0\0\
\0\0\0\0\x03\0\0\0\x05\0\0\0\x28\x04\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x35\x04\0\
\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x42\x04\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x4f\x04\
\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x5c\x04\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x69\
\x04\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x76\x04\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\
\x83\x04\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x90\x04\0\0\0\0\0\0\x03\0\0\0\x05\0\0\
\0\x9d\x04\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\xaa\x04\0\0\0\0\0\0\x03\0\0\0\x05\0\
\0\0\xbc\x04\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\xf4\x02\0\0\0\0\0\0\x04\0\0\0\x09\
\0\0\0\x2c\0\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x40\0\0\0\0\0\0\0\x04\0\0\0\x02\0\
\0\0\x50\0\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x60\0\0\0\0\0\0\0\x04\0\0\0\x02\0\0\
\0\x70\0\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x80\0\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\
\x90\0\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\xa0\0\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\
\xb0\0\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x14\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\
\x18\0\0\0\0\0\0\0\x02\0\0\0\x02\0\0\0\x72\0\0\0\0\0\0\0\x02\0\0\0\x02\0\0\0\
\x08\0\x2e\x64\x65\x62\x75\x67\x5f\x61\x62\x62\x72\x65\x76\0\x2e\x74\x65\x78\
\x74\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\x2e\x65\x78\x74\0\x2e\x72\x65\x6c\x73\
\x6f\x63\x6b\x65\x74\0\x6e\x75\x6d\x62\x65\x72\x5f\x6f\x66\x5f\x73\x6f\x63\x6b\
\x65\x74\x73\0\x2e\x62\x73\x73\0\x2e\x64\x65\x62\x75\x67\x5f\x73\x74\x72\0\x2e\
\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x69\x6e\x66\x6f\0\x2e\x6c\x6c\x76\x6d\
\x5f\x61\x64\x64\x72\x73\x69\x67\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\
\x6c\x69\x6e\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x66\x72\x61\x6d\
\x65\0\x72\x61\x6e\x64\x6f\x6d\x5f\x63\x68\x6f\x69\x63\x65\0\x72\x61\x6e\x64\
\x6f\x6d\x2e\x6b\x65\x72\x6e\x2e\x63\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\
\x79\x6d\x74\x61\x62\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\0\x4c\x42\x42\x30\x5f\
\x32\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xaa\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x18\0\0\0\0\0\0\xca\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\0\0\0\x01\0\0\0\x06\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x26\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x40\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x22\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\
\x11\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x13\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\x3f\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\0\0\0\0\
\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\0\0\0\0\0\0\0\xe8\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x53\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\x01\0\0\0\0\0\0\xc3\x04\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4f\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xe0\x11\0\0\0\0\0\0\xc0\x05\0\0\0\0\0\0\x13\0\0\0\x07\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x44\0\0\0\x01\0\0\0\x30\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x4b\x06\0\0\0\0\0\0\x5c\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\x01\0\0\0\0\0\0\0\xbe\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xa8\x09\0\0\0\0\0\0\xae\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xba\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\x17\0\0\
\0\0\0\0\x10\0\0\0\0\0\0\0\x13\0\0\0\x0a\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\
\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\x0f\0\0\0\0\0\0\
\xc0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\
\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x17\0\0\0\0\0\0\x90\0\0\0\0\0\
\0\0\x13\0\0\0\x0c\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x81\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7d\0\0\0\x09\0\0\0\x40\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x40\x18\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x13\0\0\0\x0e\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x71\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x40\x10\0\0\0\0\0\0\x9a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x6d\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\
\x18\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x13\0\0\0\x10\0\0\0\x08\0\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\x5f\0\0\0\x03\x4c\xff\x6f\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\x70\
\x18\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x13\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xb2\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\x10\0\0\0\0\0\
\0\xf0\0\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct random_kern *random_kern::open(const struct bpf_object_open_opts *opts) { return random_kern__open_opts(opts); }
struct random_kern *random_kern::open_and_load() { return random_kern__open_and_load(); }
int random_kern::load(struct random_kern *skel) { return random_kern__load(skel); }
int random_kern::attach(struct random_kern *skel) { return random_kern__attach(skel); }
void random_kern::detach(struct random_kern *skel) { random_kern__detach(skel); }
void random_kern::destroy(struct random_kern *skel) { random_kern__destroy(skel); }
const void *random_kern::elf_bytes(size_t *sz) { return random_kern__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
random_kern__assert(struct random_kern *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->number_of_sockets) == 4, "unexpected size of 'number_of_sockets'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __RANDOM_KERN_SKEL_H__ */
